Permalink
Browse files

Updated Rakefile and setup.rb

* Use gem package task supplied by rubygems
* Add coderay as development dependency
* Fix warning in setup.rb because of Config::CONFIG use
  • Loading branch information...
1 parent bb7e82c commit 6828b83435c30676185d675dc7b6054846606df0 @gettalong committed Dec 13, 2011
Showing with 4 additions and 3 deletions.
  1. +3 −2 Rakefile
  2. +1 −1 setup.rb
View
5 Rakefile
@@ -3,7 +3,7 @@
# load all optional developer libraries
begin
require 'rubygems'
- require 'rake/gempackagetask'
+ require 'rubygems/package_task'
rescue LoadError
end
@@ -196,6 +196,7 @@ EOF
s.require_path = 'lib'
s.executables = ['kramdown']
s.default_executable = 'kramdown'
+ s.add_development_dependency 'coderay', '~> 1.0.0'
#### Documentation
@@ -211,7 +212,7 @@ EOF
s.rubyforge_project = 'kramdown'
end
- Rake::GemPackageTask.new(spec) do |pkg|
+ Gem::PackageTask.new(spec) do |pkg|
pkg.need_zip = true
pkg.need_tar = true
end
View
2 setup.rb
@@ -785,7 +785,7 @@ def ToplevelInstaller.load_rbconfig
else
require 'rbconfig'
end
- ::Config::CONFIG
+ ::RbConfig::CONFIG
end
def initialize(ardir_root, config)

0 comments on commit 6828b83

Please sign in to comment.